%define debug_package %{nil}

Name:     	mono-addins
Version:	1.1
Release:	%mkrel 12
Summary:	Addins for mono
License:	MIT
# (tv) cannot be noarch because pc file is in %%_libdir:
#BuildArch:      noarch
URL:		https://www.mono-project.com/
Source0:	https://download.mono-project.com/sources/mono-addins/%{name}-%{version}.tar.gz
Patch0:		mono-addins-1.0-libdir.patch
BuildRequires:	pkgconfig(mono) 
BuildRequires:	gtk-sharp2
BuildRequires:	rpm-mageia-setup-build > 2.17-1
Group:		Development/Other

%description
Mono.Addins is a generic framework for creating extensible applications,
and for creating libraries which extend those applications.

%package devel
Summary: Development files for mono-addins
Group: Development/Other
Requires: %name = %version-%release

%description devel
Mono.Addins is a generic framework for creating extensible applications,
and for creating libraries which extend those applications.
This package contains MSBuild tasks file and target, which allows
using add-in references directly in a build file (still experimental).
	  
%prep
%setup -q
%patch -P 0 -p1 -b .libdir

%build
sed -i "s#AC_PATH_PROG(MCS, gmcs, no)#AC_PATH_PROG(MCS, mcs, no)#g" configure.ac
autoreconf -vif
%configure --enable-gui
#find . -name "Makefile*" -print -exec sed -i 's#ASSEMBLY_COMPILER_COMMAND = gmcs#ASSEMBLY_COMPILER_COMMAND = mcs#g; s#-r:Microsoft.Build.Utilities #-r:Microsoft.Build.Utilities.v4.0 #g' {} \;
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . -name "*.csproj" -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g' {} \;
%make_build

%install
%make_install

%files
%{_bindir}/mautil
%dir %{_monodir}/mono-addins
%{_monodir}/mono-addins/Mono.Addins.CecilReflector.dll
%{_monodir}/mono-addins/Mono.Addins.Gui*.dll
%{_monodir}/mono-addins/Mono.Addins.Setup.dll
%{_monodir}/mono-addins/Mono.Addins.dll
%{_monodir}/mono-addins/mautil.exe
%{_monogacdir}/Mono.Addins.Gui*
%{_monogacdir}/Mono.Addins.Setup
%{_monogacdir}/Mono.Addins
%{_monogacdir}/Mono.Addins.CecilReflector
%{_monogacdir}/policy.*.Mono.Addins
%{_monogacdir}/policy.*.Mono.Addins.Gui*
%{_monogacdir}/policy.*.Mono.Addins.Setup
%{_monogacdir}/policy.*.Mono.Addins.CecilReflector
%{_mandir}/man1/mautil.1*

%files devel
%{_monodir}/gac/policy.*.Mono.Addins.MSBuild
%{_monodir}/mono-addins/Mono.Addins.MSBuild.dll
%{_monodir}/gac/Mono.Addins.MSBuild
%{_libdir}/pkgconfig/mono-addins*



%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.1-12.mga10
+ Revision: 2127851
- Rebuild for patchN deprecation

* Fri Apr 01 2022 umeabot <umeabot> 1.1-11.mga9
+ Revision: 1838865
- Mageia 9 Mass Rebuild

* Thu Sep 24 2020 tv <tv> 1.1-10.mga8
+ Revision: 1629775
- disable debug pkgs as side effect of being no more noarch
- cannot be noarch because pc file is in %%_libdir

* Mon Sep 21 2020 tv <tv> 1.1-9.mga8
+ Revision: 1629209
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 1.1-8.mga8
+ Revision: 1629177
+ rebuild (emptylog)

* Mon Sep 21 2020 tv <tv> 1.1-7.mga8
+ Revision: 1629175
- patch 0: honor %%libdir
- no need to move pkgconfig file
- better description
- rebuild for new mono

* Sun Sep 20 2020 matteo <matteo> 1.1-6.mga8
+ Revision: 1628856
- build against new mono-6.10

* Sun Feb 16 2020 umeabot <umeabot> 1.1-5.mga8
+ Revision: 1532201
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Sep 16 2019 guillomovitch <guillomovitch> 1.1-4.mga8
+ Revision: 1442115
- rebuild for latest mono

* Wed Sep 19 2018 umeabot <umeabot> 1.1-3.mga7
+ Revision: 1264472
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Thu Dec 03 2015 tv <tv> 1.1-1.mga6
+ Revision: 907857
- further fix mono4 build
- fix finding mono4 compiler
- new version
- use FC macros
- temporary disable cairo patch

* Wed Oct 15 2014 umeabot <umeabot> 1.0-4.mga5
+ Revision: 741231
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 682576
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0-2.mga4
+ Revision: 529947
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 matteo <matteo> 1.0-1.mga4
+ Revision: 454316
- new version 1.0
- patch1 to add Mono.Cairo assembly version to the Mono.Addins.Gui project (csproj)

* Tue Jul 09 2013 matteo <matteo> 0.6.2-3.mga4
+ Revision: 452236
- added patch0 to fix compilation errors with mono 3.0.12

* Sat Jan 12 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 360234
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 28 2011 fwang <fwang> 0.6.2-1.mga2
+ Revision: 149798
- new version 0.6.2
- new version 0.6.1

* Thu Mar 03 2011 ennael <ennael> 0.6-1.mga1
+ Revision: 63659
- imported package mono-addins

